local l = require "luxio"                         
                                                  
local child = l.fork()                            
                                                  
if child == 0 then                                
   l.execp("sleep", "sleep", "2")                 
else                                              
   local pid, status = l.waitpid(child, l.WNOHANG)
   print("(WNOHANG)", pid, status)                
   pid, status = l.waitpid(child, 0)              
   print("WIFEXITED", l.WIFEXITED(status))        
   print("WEXITSTATUS", l.WEXITSTATUS(status))    
end                                               
